Spaces method and path for this operation:
post /s/{space_id}/api/maintenance_window/{id}/_archive
Refer to Spaces for more information.
[Required authorization] Route required privileges: write-maintenance-window.
POST
/api/maintenance_window/{id}/_archive
curl \
--request POST 'https://<KIBANA_URL>/api/maintenance_window/{id}/_archive' \
--header "Authorization: $API_KEY" \
--header "kbn-xsrf: true"
Response examples (200)
The response returned when a maintenance window is successfully archived.
{
"created_at": "2025-02-25T10:00:00.000Z",
"created_by": "elastic",
"enabled": true,
"id": "f0cb1780-537a-4e34-8adf-3b4336862858",
"schedule": {
"custom": {
"duration": "2h",
"recurring": {
"every": "1w",
"occurrences": 10,
"onWeekDay": [
"MO",
"WE"
]
},
"start": "2025-03-01T08:00:00.000Z",
"timezone": "Europe/Amsterdam"
}
},
"scope": {
"alerting": {
"query": {
"kql": "kibana.alert.tags: \"infra\""
}
}
},
"status": "archived",
"title": "Weekly Maintenance Window",
"updated_at": "2025-02-25T10:00:00.000Z",
"updated_by": "elastic"
}